## lua-torch-dok 0~20160131

=== CMakeLists.txt ===
CMAKE_MINIMUM_REQUIRED(VERSION 2.6 FATAL_ERROR)
CMAKE_POLICY(VERSION 2.6)

SET(luasrc 
	   ${CMAKE_CURRENT_SOURCE_DIR}/init.lua 
	   ${CMAKE_CURRENT_SOURCE_DIR}/inline.lua)

INSTALL(FILES ${luasrc} DESTINATION ${LUADIR}/dok)

## lua-torch-dok 0~20160131-g1b36900

=== debian/changelog ===
lua-torch-dok (0~20160131-g1b36900-3) unstable; urgency=medium

  * Add watch file to monitor upstream master branch.
  * Point Vcs-* fields to Salsa.
  * Bump Standards-Version to 4.1.4 .
    + Change copyright-format URL into https form.
  * Update copyright information.
  * Bump debhelper compat level to 11.
  * Fix capitalization error in description.

 -- Mo Zhou <cdluminate@gmail.com>  Fri, 20 Apr 2018 04:31:12 +0000

lua-torch-dok (0~20160131-g1b36900-2) unstable; urgency=medium

  * Add autopkgtest support.

 -- Zhou Mo <cdluminate@gmail.com>  Sat, 15 Oct 2016 09:11:57 +0000

lua-torch-dok (0~20160131-g1b36900-1) unstable; urgency=low

  * Initial release. Closes: #827431

 -- Zhou Mo <cdluminate@gmail.com>  Mon, 15 Aug 2016 13:26:16 +0000

=== debian/control ===
Source: lua-torch-dok
Section: interpreters
Priority: optional
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Mo Zhou <cdluminate@gmail.com>
Build-Depends: debhelper (>=11),
               dh-lua,
# lua-torch-sundown is explicit runtime dependency
               lua-torch-sundown,
Standards-Version: 4.1.4
Homepage: https://github.com/torch/dok
Vcs-Browser: https://salsa.debian.org/science-team/lua-torch-dok
Vcs-Git: https://salsa.debian.org/science-team/lua-torch-dok.git

Package: lua-torch-dok
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}, ${shlibs:Depends}, lua5.1 | luajit,
         lua-torch-sundown,
XB-Lua-Versions: ${lua:Versions}
Description: Support for the old torch7 dok system
 This package ships the dok module for Torch Framework.
 .
 Apart from that Lua module, this package also ships some torch documents,
 including:
  * Torch installation guide
  * Lua introduction
  * Torch tutorial
 which can be found under /usr/share/doc/lua-torch-dok/ directory.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --buildsystem=lua --with lua

override_dh_auto_clean:
	-$(RM) -rf 5.1-torch-dok/ 5.2-torch-dok/ debian/tmp/ dok
	dh_auto_clean

override_dh_auto_configure:
	ln -s . dok
	dh_auto_configure

=== debian/watch ===
version=4
opts="mode=git, pgpmode=none, pretty=0~%cd-g%h" \
https://github.com/torch/dok \
HEAD debian uupdate
